> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trio.com.br/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Virtual Account Balances

> Get balances for a virtual account



## OpenAPI

````yaml api-reference/banking-api/openapi.json GET /banking/virtual_accounts/{id}/balances
openapi: 3.0.0
info:
  title: Banking API
  version: 1.0.0
servers:
  - url: https://api.sandbox.trio.com.br
    variables: {}
  - url: https://api.qa.trio.com.br
    variables: {}
  - url: https://api.trio.com.br
    variables: {}
security: []
tags: []
paths:
  /banking/virtual_accounts/{id}/balances:
    get:
      tags:
        - virtual_accounts
      summary: Sum amount and count virtual account
      description: Sum amount and count virtual account
      operationId: TrioFoundationWeb.Banking.VirtualAccount.BalanceController.balance
      parameters:
        - description: Virtual account ID
          in: path
          name: id
          required: true
          schema:
            $ref: '#/components/schemas/UUID'
        - description: At datetime
          in: query
          name: at_datetime
          required: false
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Balance_virtual_account_response'
          description: BalanceResponse
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/401'
          description: Unauthorized
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JsonErrorResponse'
          description: Unprocessable Entity
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/500'
          description: Internal server error
      callbacks: {}
components:
  schemas:
    '401':
      example:
        error:
          error_code: UNAUTHORIZED
          error_message: Invalid credentials
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '401'
      type: object
    '500':
      example:
        error:
          error_code: INTEGRATION_ERROR
          error_message: An unexpected issue occurred
      properties:
        error:
          properties:
            error_code:
              description: Error code
              type: string
            error_message:
              description: Error message
              type: string
          type: object
      title: '500'
      type: object
    UUID:
      description: Unique identifier
      format: uuid
      title: UUID
      type: string
    Balance_virtual_account_response:
      description: Virtual account available balance
      example:
        data:
          available_balance:
            amount: 10
            currency: BRL
      properties:
        data:
          description: Bank account available balance
          properties:
            available_balance:
              description: Available balance
              properties:
                amount:
                  description: Amount integer (in cents)
                  type: integer
                currency:
                  description: Amount currency
                  type: string
              type: object
          type: object
      title: Balance virtual account response
      type: object
    JsonErrorResponse:
      properties:
        errors:
          items:
            properties:
              detail:
                example: null value where string expected
                type: string
              source:
                properties:
                  pointer:
                    example: /data/attributes/petName
                    type: string
                required:
                  - pointer
                type: object
              title:
                example: Invalid value
                type: string
            required:
              - title
              - source
              - detail
            type: object
          type: array
      required:
        - errors
      title: JsonErrorResponse
      type: object

````